test: CMMModelData struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# CMMModelData Struct Reference

`#include <typedefs.h>`

List of all members.

## Public Attributes

CMLutParam | lutParam
CMLutParam | gamutLutParam
short | precision
Boolean | lookup
OSType | firstColorSpace
OSType | lastColorSpace
long | currentCall
long | lastCall
long | srcProfileVersion
long | dstProfileVersion
Handle | Monet
long | hasNamedColorProf
Handle | thePCSProfHandle
LUT_DATA_TYPE | theNamedColorTagData
UINT32 * | aIntentArr
UINT32 | nIntents
UINT32 | dwFlags
Boolean | appendDeviceLink
CMWorldRef | pBackwardTransform
UINT32 * | aIntentArr

## Member Data Documentation

UINT32* CMMModelData::aIntentArr

| Definition at line 179 of file w98/lh_core/typedefs.h.

UINT32* CMMModelData::aIntentArr

| Definition at line 179 of file lh_core/typedefs.h.

Boolean CMMModelData::appendDeviceLink

| Definition at line 182 of file w98/lh_core/typedefs.h.

long CMMModelData::currentCall

| Definition at line 164 of file w98/lh_core/typedefs.h.

long CMMModelData::dstProfileVersion

| Definition at line 168 of file w98/lh_core/typedefs.h.

UINT32 CMMModelData::dwFlags

| Definition at line 181 of file w98/lh_core/typedefs.h.

OSType CMMModelData::firstColorSpace

| Definition at line 161 of file w98/lh_core/typedefs.h.

CMLutParam CMMModelData::gamutLutParam

| Definition at line 156 of file w98/lh_core/typedefs.h.

long CMMModelData::hasNamedColorProf

| Definition at line 172 of file w98/lh_core/typedefs.h.

long CMMModelData::lastCall

| Definition at line 165 of file w98/lh_core/typedefs.h.

OSType CMMModelData::lastColorSpace

| Definition at line 162 of file w98/lh_core/typedefs.h.

Boolean CMMModelData::lookup

| Definition at line 159 of file w98/lh_core/typedefs.h.

CMLutParam CMMModelData::lutParam

| Definition at line 155 of file w98/lh_core/typedefs.h.

Handle CMMModelData::Monet

| Definition at line 169 of file w98/lh_core/typedefs.h.

UINT32 CMMModelData::nIntents

| Definition at line 180 of file w98/lh_core/typedefs.h.

CMWorldRef CMMModelData::pBackwardTransform

| Definition at line 183 of file w98/lh_core/typedefs.h.

short CMMModelData::precision

| Definition at line 158 of file w98/lh_core/typedefs.h.

long CMMModelData::srcProfileVersion

| Definition at line 167 of file w98/lh_core/typedefs.h.

LUT_DATA_TYPE CMMModelData::theNamedColorTagData

| Definition at line 174 of file w98/lh_core/typedefs.h.

Handle CMMModelData::thePCSProfHandle

| Definition at line 173 of file w98/lh_core/typedefs.h.

The documentation for this struct was generated from the following files:

- lh_core/typedefs.h
- w98/lh_core/typedefs.h